import { StackedSplineAreaSeries } from "./StackedSplineAreaSeries";
import { IStacked100Series } from "./IStacked100Series";
import { SeriesView } from "./SeriesView";
import { Type } from "igniteui-angular-core";
import { StackedSplineAreaSeriesView } from "./StackedSplineAreaSeriesView";
/**
 * @hidden
 */
export declare class Stacked100SplineAreaSeries extends StackedSplineAreaSeries implements IStacked100Series {
    static $t: Type;
    protected cs(): SeriesView;
    ab4: Stacked100SplineAreaSeriesView;
    qz(a: SeriesView): void;
    protected get_aa2(): boolean;
    constructor();
    ac(): void;
    protected abj(): void;
    aa8(a: number, b: number): number;
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare class Stacked100SplineAreaSeriesView extends StackedSplineAreaSeriesView {
    static $t: Type;
    constructor(a: Stacked100SplineAreaSeries);
    au(): void;
}
